package com.ruoyi.mingxue.service;

import com.ruoyi.mingxue.domain.CustomerVideoWatches;

import java.util.Date;
import java.util.List;

/**
 * 客户观看视频记录Service接口
 *
 * @author mingxue
 * @date 2021-07-28
 */
public interface ICustomerVideoWatchesService
{
    /**
     * 查询客户观看视频记录
     *
     * @param id 客户观看视频记录ID
     * @return 客户观看视频记录
     */
    public CustomerVideoWatches selectCustomerVideoWatchesById(Long id);

    /**
     * 查询客户观看视频记录列表
     *
     * @param customerVideoWatches 客户观看视频记录
     * @return 客户观看视频记录集合
     */
    public List<CustomerVideoWatches> selectCustomerVideoWatchesList(CustomerVideoWatches customerVideoWatches);

    /**
     * 新增客户观看视频记录
     *
     * @param customerVideoWatches 客户观看视频记录
     * @return 结果
     */
    public int insertCustomerVideoWatches(CustomerVideoWatches customerVideoWatches);

    /**
     * 修改客户观看视频记录
     *
     * @param customerVideoWatches 客户观看视频记录
     * @return 结果
     */
    public int updateCustomerVideoWatches(CustomerVideoWatches customerVideoWatches);

    /**
     * 批量删除客户观看视频记录
     *
     * @param ids 需要删除的客户观看视频记录ID
     * @return 结果
     */
    public int deleteCustomerVideoWatchesByIds(Long[] ids);

    /**
     * 删除客户观看视频记录信息
     *
     * @param id 客户观看视频记录ID
     * @return 结果
     */
    public int deleteCustomerVideoWatchesById(Long id);

    public int countVideoWatchCount(String customerCode);

    public int countVideoWatchDuration(String customerCode);

    public List<CustomerVideoWatches> countDurationByDate(String customerCode, Date start, Date end);

    public List<CustomerVideoWatches> selectByDate(String customerCode, Date start, Date end);

    public List<CustomerVideoWatches> countDurationByDateAndSubject(String customerCode, Date start, Date end);

    public CustomerVideoWatches selectTodayBySection(String customerCode, Integer type, String sectionId);
}
